-- phpMyAdmin SQL Dump
-- version 2.10.0.2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Sep 13, 2007 at 04:32 PM
-- Server version: 4.1.22
-- PHP Version: 4.4.4

-- --------------------------------------------------------

--
-- Table structure for table `admin`
--

DROP TABLE IF EXISTS `admin`;
CREATE TABLE IF NOT EXISTS `admin` (
  `username` varchar(250) default 'admin',
  `email` varchar(250) default NULL,
  `password` varchar(250) default '21232f297a57a5a743894a0e4a801fc3'
) TYPE=MyISAM;

--
-- Dumping data for table `admin`
--

INSERT INTO `admin` (`username`, `email`, `password`) VALUES ('admin', NULL, '21232f297a57a5a743894a0e4a801fc3');

-- --------------------------------------------------------

--
-- Table structure for table `adverts`
--

DROP TABLE IF EXISTS `adverts`;
CREATE TABLE IF NOT EXISTS `adverts` (
  `ads_left` text,
  `ads_right` text,
  `ads_top` text,
  `ads_bottom` text,
  `preloaded` varchar(20) default 'yes',
  `ads_home_right` text
) TYPE=MyISAM;

--
-- Dumping data for table `adverts`
--

INSERT INTO `adverts` (`ads_left`, `ads_right`, `ads_top`, `ads_bottom`, `preloaded`, `ads_home_right`) VALUES (NULL, NULL, NULL, NULL, 'yes', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `channels`
--

DROP TABLE IF EXISTS `channels`;
CREATE TABLE IF NOT EXISTS `channels` (
  `channel_name` varchar(250) default NULL,
  `channel_description` text,
  `date_created` varchar(20) default NULL,
  `channel_id` bigint(20) NOT NULL auto_increment,
  `channel_picture` varchar(250) default 'none.gif',
  PRIMARY KEY  (`channel_id`),
  UNIQUE KEY `channel_id` (`channel_id`)
) TYPE=MyISAM  AUTO_INCREMENT=10 ;

--
-- Dumping data for table `channels`
--


-- --------------------------------------------------------

--
-- Table structure for table `default_settings`
--

DROP TABLE IF EXISTS `default_settings`;
CREATE TABLE IF NOT EXISTS `default_settings` (
  `site_name` text,
  `site_base_url` text,
  `delete_original` text,
  `delete_avi` text,
  `path_to_mencoder` text,
  `path_to_ffmpeg` text,
  `path_to_flvtool2` text,
  `yes` text,
  `auto_play` text,
  `splash_image` text,
  `video_buffer_time` text,
  `allow_multiple_video_comments` text,
  `maximum_size` text,
  `maximum_size_human_readale` text,
  `auto_approve_profile_photo` text,
  `debug_mode` text,
  `delete_general` text,
  `most_viewed` text,
  `most_recent` text,
  `most_comments` text,
  `featured` text,
  `created_today` text,
  `managed_by_me` text,
  `view_all` text,
  `login_text` text,
  `logout_text` text,
  `register_menu` text,
  `fav_menu` text,
  `notification_success` text,
  `notification_error` text,
  `notification_must_login` text,
  `from_system_name` text,
  `notifications_from_email` text,
  `registration_success` text,
  `must_login` text,
  `incorrect_logins` text,
  `email_not_confirmed` text,
  `account_suspended` text,
  `invite_send_success` text,
  `invite_send_error` text,
  `invalid_email_format` text,
  `invalid_email_text` text,
  `request_completed` text,
  `fill_all_fields` text,
  `invalid_request` text,
  `invite_email_subject` text,
  `picture_copy_error` text,
  `video_comments_login` text,
  `video_comments_error_already` text,
  `video_comments_error_comment` text,
  `video_comments_success` text,
  `comment_has_been_deleted` text,
  `video_has_been_removed` text,
  `video_has_been_added` text,
  `video_has_been_added_already` text,
  `general_error` text,
  `video_private_warning` text,
  `groups_login_first` text,
  `group_name_exits` text,
  `groups_members_only_post` text,
  `no_rights` text,
  `search_page_limits` text,
  `groups_main_limit` text,
  `groups_home_video_limit` text,
  `comment_page_limits` text,
  `see_more_limits` text,
  `error_0` text,
  `error_1` text,
  `error_2` text,
  `error_3` text,
  `error_4` text,
  `error_5` text,
  `error_6` text,
  `error_7` text,
  `error_8` text,
  `error_9` text,
  `error_10` text,
  `error_11` text,
  `error_12` text,
  `error_13` text,
  `error_14` text,
  `error_15` text,
  `error_16` text,
  `error_17` text,
  `error_18` text,
  `error_19` text,
  `error_20` text,
  `error_21` text,
  `error_22` text,
  `error_23` text,
  `error_24` text,
  `error_25` text,
  `error_26` text,
  `error_27` text,
  `rel_single` text,
  `rel_taken` text,
  `rel_looking` text,
  `gender_male` text,
  `gender_female` text,
  `all_x` text,
  `date_format` text,
  `auto_approve_videos` text
) TYPE=MyISAM;

--
-- Dumping data for table `default_settings`
--

INSERT INTO `default_settings` (`site_name`, `site_base_url`, `delete_original`, `delete_avi`, `path_to_mencoder`, `path_to_ffmpeg`, `path_to_flvtool2`, `yes`, `auto_play`, `splash_image`, `video_buffer_time`, `allow_multiple_video_comments`, `maximum_size`, `maximum_size_human_readale`, `auto_approve_profile_photo`, `debug_mode`, `delete_general`, `most_viewed`, `most_recent`, `most_comments`, `featured`, `created_today`, `managed_by_me`, `view_all`, `login_text`, `logout_text`, `register_menu`, `fav_menu`, `notification_success`, `notification_error`, `notification_must_login`, `from_system_name`, `notifications_from_email`, `registration_success`, `must_login`, `incorrect_logins`, `email_not_confirmed`, `account_suspended`, `invite_send_success`, `invite_send_error`, `invalid_email_format`, `invalid_email_text`, `request_completed`, `fill_all_fields`, `invalid_request`, `invite_email_subject`, `picture_copy_error`, `video_comments_login`, `video_comments_error_already`, `video_comments_error_comment`, `video_comments_success`, `comment_has_been_deleted`, `video_has_been_removed`, `video_has_been_added`, `video_has_been_added_already`, `general_error`, `video_private_warning`, `groups_login_first`, `group_name_exits`, `groups_members_only_post`, `no_rights`, `search_page_limits`, `groups_main_limit`, `groups_home_video_limit`, `comment_page_limits`, `see_more_limits`, `error_0`, `error_1`, `error_2`, `error_3`, `error_4`, `error_5`, `error_6`, `error_7`, `error_8`, `error_9`, `error_10`, `error_11`, `error_12`, `error_13`, `error_14`, `error_15`, `error_16`, `error_17`, `error_18`, `error_19`, `error_20`, `error_21`, `error_22`, `error_23`, `error_24`, `error_25`, `error_26`, `error_27`, `rel_single`, `rel_taken`, `rel_looking`, `gender_male`, `gender_female`, `all_x`, `date_format`, `auto_approve_videos`) VALUES ('Video Site', 'http://www.mydomain.com', 'yes', 'yes', '/usr/bin/mencoder', '/usr/bin/ffmpeg', '/usr/bin/flvtool2', 'yes', 'TRUE', 'images/splash_play.jpg', '3', 'yes', '202400', '100kb', 'no', 'no', 'Delete', 'Most Viewed', 'Most Recent', 'Most Comments', 'Featured', 'Created Today', 'Managed by me', 'view all', 'Login', 'Logout', 'Signup now', 'Favorites', 'Success', '!Error', 'Login', 'Video Site Team', 'team@yourdomain.com', 'Registration successful, please check your email to complete', 'Please login', 'Incorrect login', 'You have not yet confirmed your email. Please check your email for instructions', 'Your account has been suspended', 'We have sent invitations to your friends', 'Please ensure you have filled in the form correctly', 'Your have entered an invalid email address. Please check and try', 'You have entered an in valid character', 'Your request has been successfully completed', 'Please ensure you have filled in all required fields', 'An error has occurred - invalid request', 'You have been invited', 'A error has occurred while copying your file. Please try again later', 'Please login to post a message', 'You have already posted to this item', 'Comments cannot be blank', 'Your comments have been added', 'Comment has been deleted', 'Item has been removed', 'Item has been added', 'You have already added this item', 'An error has occurred', 'Your media is currently -private- change its settings to allow other to view it', 'You must first login', 'The group name is already taken, please try another one', 'Only members can post. You can join this group to post to it', 'You have no rights to perform this action', '10', '10', '15', '10', '4', 'Mysql connection error', 'Missing confirmation_code', 'The user could not be found or is no longer a registered member', 'To view your own profile as others would, you must first log out', 'An invitation has been sent out to the member.', 'You have already sent an invitation to this member', 'You cannot invite yourself', 'An error has occurred. the media could not be added', 'The media has now been added to your favorites', 'The item is already in your favorites', 'You need to be logged. Please login or register', 'An error has occurred. the item could not be found or has been removed', 'You have selected an item that has been marked as private by its owner', 'You need to be logged in. Please login or register.', 'Thank you for your feedback, however our records show you have already flagged this item', 'The item has now been flagged for our attention. Thank you for your feedback', 'The member does not allow private messages.', 'You have already rated this item', 'Your request could not be completed', 'Thank you, your vote has been submitted', 'Thank you, you have now been added to this group', 'An error has occurred. The item could not be found', 'This groups requires admin approval to join. Your application has been submitted for review', 'You are already a member OR have already selected to join this group', 'Access denied', 'Your request has been completed', 'An error has occurred', 'This group is marked as private, only members can view it', 'Single', 'Taken', 'Looking', 'Male', 'Female', 'All', 'd-m-y', 'yes');

-- --------------------------------------------------------

--
-- Table structure for table `emails`
--

DROP TABLE IF EXISTS `emails`;
CREATE TABLE IF NOT EXISTS `emails` (
  `description` varchar(255) default NULL,
  `email_body` text,
  `email_subject` text,
  `email_id` bigint(20) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=2 ;

--
-- Dumping data for table `emails`
--

INSERT INTO `emails` (`description`, `email_body`, `email_subject`, `email_id`, `indexer`) VALUES (NULL, NULL, NULL, NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `favorites`
--

DROP TABLE IF EXISTS `favorites`;
CREATE TABLE IF NOT EXISTS `favorites` (
  `user_id` bigint(20) default NULL,
  `video_id` bigint(20) default NULL,
  `indexer_fav` bigint(20) NOT NULL auto_increment,
  `video_status` varchar(255) default 'active',
  `owner_id` bigint(20) default NULL,
  PRIMARY KEY  (`indexer_fav`)
) TYPE=MyISAM  AUTO_INCREMENT=32 ;

--
-- Dumping data for table `favorites`
--


-- --------------------------------------------------------

--
-- Table structure for table `flagging`
--

DROP TABLE IF EXISTS `flagging`;
CREATE TABLE IF NOT EXISTS `flagging` (
  `user_id` bigint(20) default NULL,
  `flag_type` varchar(20) default NULL,
  `video_id` bigint(20) default NULL,
  `today_date` varchar(255) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=17 ;

--
-- Dumping data for table `flagging`
--


-- --------------------------------------------------------

--
-- Table structure for table `flagging_comments`
--

DROP TABLE IF EXISTS `flagging_comments`;
CREATE TABLE IF NOT EXISTS `flagging_comments` (
  `user_id` bigint(20) default NULL,
  `flag_type` varchar(255) default NULL,
  `comment_id` bigint(20) default NULL,
  `today_date` varchar(255) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=18 ;

--
-- Dumping data for table `flagging_comments`
--


-- --------------------------------------------------------

--
-- Table structure for table `flagging_groups`
--

DROP TABLE IF EXISTS `flagging_groups`;
CREATE TABLE IF NOT EXISTS `flagging_groups` (
  `user_id` bigint(20) default NULL,
  `flag_type` varchar(255) default NULL,
  `group_id` bigint(20) default NULL,
  `today_date` varchar(255) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=13 ;

--
-- Dumping data for table `flagging_groups`
--


-- --------------------------------------------------------

--
-- Table structure for table `flagging_group_comments`
--

DROP TABLE IF EXISTS `flagging_group_comments`;
CREATE TABLE IF NOT EXISTS `flagging_group_comments` (
  `user_id` bigint(20) default NULL,
  `flag_type` varchar(255) default NULL,
  `comment_id` bigint(20) default NULL,
  `today_date` varchar(255) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=11 ;

--
-- Dumping data for table `flagging_group_comments`
--


-- --------------------------------------------------------

--
-- Table structure for table `friends`
--

DROP TABLE IF EXISTS `friends`;
CREATE TABLE IF NOT EXISTS `friends` (
  `user_id` bigint(20) default NULL,
  `invitation_id` varchar(250) default NULL,
  `friends_id` bigint(20) default NULL,
  `invitation_type` varchar(255) default NULL,
  `blocked_users` varchar(255) default NULL,
  `invitation_status` varchar(255) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  `my_username` varchar(255) default NULL,
  `friends_username` varchar(255) default NULL,
  `todays_date` varchar(255) default NULL,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `friendsindex` (`invitation_id`,`friends_id`)
) TYPE=MyISAM  AUTO_INCREMENT=118 ;

--
-- Dumping data for table `friends`
--

INSERT INTO `friends` (`user_id`, `invitation_id`, `friends_id`, `invitation_type`, `blocked_users`, `invitation_status`, `indexer`, `my_username`, `friends_username`, `todays_date`) VALUES (7, '6c4vcpo7m6hww6oeujbh4ffz4gsqouniwf4wsgs5dyqxv4zef2m75pxxwee8ypfjta6ceo5', NULL, 'email', 'no', 'pending', 117, 'brianshawa', 'Not yet a member', '09-06-07');

-- --------------------------------------------------------

--
-- Table structure for table `general_settings`
--

DROP TABLE IF EXISTS `general_settings`;
CREATE TABLE IF NOT EXISTS `general_settings` (
  `site_name` text,
  `site_base_url` text,
  `delete_original` text,
  `delete_avi` text,
  `path_to_mencoder` text,
  `path_to_ffmpeg` text,
  `path_to_flvtool2` text,
  `yes` text,
  `auto_play` text,
  `splash_image` text,
  `video_buffer_time` text,
  `allow_multiple_video_comments` text,
  `maximum_size` text,
  `maximum_size_human_readale` text,
  `auto_approve_profile_photo` text,
  `debug_mode` text,
  `delete_general` text,
  `most_viewed` text,
  `most_recent` text,
  `most_comments` text,
  `featured` text,
  `created_today` text,
  `managed_by_me` text,
  `view_all` text,
  `login_text` text,
  `logout_text` text,
  `register_menu` text,
  `fav_menu` text,
  `notification_success` text,
  `notification_error` text,
  `notification_must_login` text,
  `from_system_name` text,
  `notifications_from_email` text,
  `registration_success` text,
  `must_login` text,
  `incorrect_logins` text,
  `email_not_confirmed` text,
  `account_suspended` text,
  `invite_send_success` text,
  `invite_send_error` text,
  `invalid_email_format` text,
  `invalid_email_text` text,
  `request_completed` text,
  `fill_all_fields` text,
  `invalid_request` text,
  `invite_email_subject` text,
  `picture_copy_error` text,
  `video_comments_login` text,
  `video_comments_error_already` text,
  `video_comments_error_comment` text,
  `video_comments_success` text,
  `comment_has_been_deleted` text,
  `video_has_been_removed` text,
  `video_has_been_added` text,
  `video_has_been_added_already` text,
  `general_error` text,
  `video_private_warning` text,
  `groups_login_first` text,
  `group_name_exits` text,
  `groups_members_only_post` text,
  `no_rights` text,
  `search_page_limits` text,
  `groups_main_limit` text,
  `groups_home_video_limit` text,
  `comment_page_limits` text,
  `see_more_limits` text,
  `error_0` text,
  `error_1` text,
  `error_2` text,
  `error_3` text,
  `error_4` text,
  `error_5` text,
  `error_6` text,
  `error_7` text,
  `error_8` text,
  `error_9` text,
  `error_10` text,
  `error_11` text,
  `error_12` text,
  `error_13` text,
  `error_14` text,
  `error_15` text,
  `error_16` text,
  `error_17` text,
  `error_18` text,
  `error_19` text,
  `error_20` text,
  `error_21` text,
  `error_22` text,
  `error_23` text,
  `error_24` text,
  `error_25` text,
  `error_26` text,
  `error_27` text,
  `rel_single` text,
  `rel_taken` text,
  `rel_looking` text,
  `gender_male` text,
  `gender_female` text,
  `all_x` text,
  `date_format` text,
  `auto_approve_videos` text
) TYPE=MyISAM;

--
-- Dumping data for table `general_settings`
--

INSERT INTO `general_settings` (`site_name`, `site_base_url`, `delete_original`, `delete_avi`, `path_to_mencoder`, `path_to_ffmpeg`, `path_to_flvtool2`, `yes`, `auto_play`, `splash_image`, `video_buffer_time`, `allow_multiple_video_comments`, `maximum_size`, `maximum_size_human_readale`, `auto_approve_profile_photo`, `debug_mode`, `delete_general`, `most_viewed`, `most_recent`, `most_comments`, `featured`, `created_today`, `managed_by_me`, `view_all`, `login_text`, `logout_text`, `register_menu`, `fav_menu`, `notification_success`, `notification_error`, `notification_must_login`, `from_system_name`, `notifications_from_email`, `registration_success`, `must_login`, `incorrect_logins`, `email_not_confirmed`, `account_suspended`, `invite_send_success`, `invite_send_error`, `invalid_email_format`, `invalid_email_text`, `request_completed`, `fill_all_fields`, `invalid_request`, `invite_email_subject`, `picture_copy_error`, `video_comments_login`, `video_comments_error_already`, `video_comments_error_comment`, `video_comments_success`, `comment_has_been_deleted`, `video_has_been_removed`, `video_has_been_added`, `video_has_been_added_already`, `general_error`, `video_private_warning`, `groups_login_first`, `group_name_exits`, `groups_members_only_post`, `no_rights`, `search_page_limits`, `groups_main_limit`, `groups_home_video_limit`, `comment_page_limits`, `see_more_limits`, `error_0`, `error_1`, `error_2`, `error_3`, `error_4`, `error_5`, `error_6`, `error_7`, `error_8`, `error_9`, `error_10`, `error_11`, `error_12`, `error_13`, `error_14`, `error_15`, `error_16`, `error_17`, `error_18`, `error_19`, `error_20`, `error_21`, `error_22`, `error_23`, `error_24`, `error_25`, `error_26`, `error_27`, `rel_single`, `rel_taken`, `rel_looking`, `gender_male`, `gender_female`, `all_x`, `date_format`, `auto_approve_videos`) VALUES ('Video Site', 'http://www.mydomain.com', 'yes', 'yes', '/usr/bin/mencoder', '/usr/bin/ffmpeg', '/usr/bin/flvtool2', 'yes', 'TRUE', 'images/splash_play.jpg', '3', 'yes', '202400', '100kb', 'no', 'no', 'Delete', 'Most Viewed', 'Most Recent', 'Most Comments', 'Featured', 'Created Today', 'Managed by me', 'view all', 'Login', 'Logout', 'Signup now', 'Favorites', 'Success', '!Error', 'Login', 'Video Site Team', 'team@yourdomain.com', 'Registration successful, please check your email to complete', 'Please login', 'Incorrect login', 'You have not yet confirmed your email. Please check your email for instructions', 'Your account has been suspended', 'We have sent invitations to your friends', 'Please ensure you have filled in the form correctly', 'Your have entered an invalid email address. Please check and try', 'You have entered an in valid character', 'Your request has been successfully completed', 'Please ensure you have filled in all required fields', 'An error has occurred - invalid request', '', 'A error has occurred while copying your file. Please try again later', 'Please login to post a message', 'You have already posted to this item', 'Comments cannot be blank', 'Your comments have been added', 'Comment has been deleted', 'Item has been removed', 'Item has been added', 'You have already added this item', 'An error has occurred', 'Your media is currently -private- change its settings to allow other to view it', 'You must first login', 'The group name is already taken, please try another one', 'Only members can post. You can join this group to post to it', 'You have no rights to perform this action', '10', '10', '15', '10', '4', 'Mysql connection error', 'Missing confirmation_code', 'The user could not be found or is no longer a registered member', 'To view your own profile as others would, you must first log out', 'An invitation has been sent out to the member.', 'You have already sent an invitation to this member', 'You cannot invite yourself', 'An error has occurred. the item could not be added', 'The item has now been added to your favorites', 'The item is already in your favorites', 'You need to be logged. Please login or register', 'An error has occurred. the item could not be found or has been removed', 'You have selected an item that has been marked as private by its owner', 'You need to be logged in. Please login or register.', 'Thank you for your feedback, however our records show you have already flagged this item', 'The item has now been flagged for our attention. Thank you for your feedback', 'The member does not allow private messages.', 'You have already rated this item', 'Your request could not be completed', 'Thank you, your vote has been submitted', 'Thank you, you have now been added to this group', 'An error has occurred. The item could not be found', 'This groups requires admin approval to join. Your application has been submitted for review', 'You are already a member OR have already selected to join this group', 'Access denied', 'Your request has been completed', 'An error has occurred', 'This group is marked as private, only members can view it', 'Single', 'Taken', 'Looking', 'Male', 'Female', 'All', 'd-m-y', 'yes');

-- --------------------------------------------------------

--
-- Table structure for table `group_comments`
--

DROP TABLE IF EXISTS `group_comments`;
CREATE TABLE IF NOT EXISTS `group_comments` (
  `by_id` bigint(20) default NULL,
  `by_username` varchar(250) default NULL,
  `group_id` bigint(20) default NULL,
  `comments` text,
  `todays_date` varchar(255) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  `topic_id` bigint(20) default NULL,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=58 ;

--
-- Dumping data for table `group_comments`
--


-- --------------------------------------------------------

--
-- Table structure for table `group_membership`
--

DROP TABLE IF EXISTS `group_membership`;
CREATE TABLE IF NOT EXISTS `group_membership` (
  `member_id` bigint(20) default NULL,
  `member_username` varchar(255) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  `today_date` varchar(255) default NULL,
  `group_admin` varchar(255) default NULL,
  `group_id` bigint(20) default NULL,
  `approved` varchar(255) default 'yes',
  PRIMARY KEY  (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=22 ;

--
-- Dumping data for table `group_membership`
--


-- --------------------------------------------------------

--
-- Table structure for table `group_profile`
--

DROP TABLE IF EXISTS `group_profile`;
CREATE TABLE IF NOT EXISTS `group_profile` (
  `group_name` text,
  `public_private` varchar(255) default NULL,
  `todays_date` varchar(255) default NULL,
  `group_description` text,
  `indexer` bigint(20) NOT NULL auto_increment,
  `featured` varchar(255) default 'no',
  `admin_id` bigint(20) default NULL,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`),
  FULLTEXT KEY `searching` (`group_name`,`group_description`)
) TYPE=MyISAM  AUTO_INCREMENT=21 ;

--
-- Dumping data for table `group_profile`
--


-- --------------------------------------------------------

--
-- Table structure for table `group_topics`
--

DROP TABLE IF EXISTS `group_topics`;
CREATE TABLE IF NOT EXISTS `group_topics` (
  `group_id` bigint(20) default NULL,
  `todays_date` varchar(20) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  `topic_title` text,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

--
-- Dumping data for table `group_topics`
--


-- --------------------------------------------------------

--
-- Table structure for table `group_videos`
--

DROP TABLE IF EXISTS `group_videos`;
CREATE TABLE IF NOT EXISTS `group_videos` (
  `video_id` bigint(20) default NULL,
  `group_id` bigint(20) default NULL,
  `member_id` bigint(20) default NULL,
  `todays_date` varchar(255) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  `video_status` varchar(255) default 'active',
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=26 ;

--
-- Dumping data for table `group_videos`
--


-- --------------------------------------------------------

--
-- Table structure for table `member_profile`
--

DROP TABLE IF EXISTS `member_profile`;
CREATE TABLE IF NOT EXISTS `member_profile` (
  `account_type` varchar(255) NOT NULL default '',
  `email_address` varchar(80) NOT NULL default '',
  `user_name` varchar(80) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `first_name` varchar(255) default NULL,
  `last_name` varchar(255) default NULL,
  `year_of_birth` varchar(255) default NULL,
  `gender` text,
  `relationship_status` text,
  `about_me` text,
  `personal_website` text,
  `home_town` text,
  `home_country` text,
  `current_country` text,
  `high_school` text,
  `college` text,
  `work_places` text,
  `interests` text,
  `fav_movies` text,
  `fav_music` text,
  `current_city` text,
  `user_id` bigint(20) NOT NULL auto_increment,
  `confirm_email_code` varchar(255) default NULL,
  `account_status` varchar(255) default NULL,
  `random_code` varchar(255) default NULL,
  `date_created` varchar(255) default NULL,
  PRIMARY KEY  (`user_id`),
  UNIQUE KEY `index1` (`email_address`,`user_name`)
) TYPE=MyISAM  AUTO_INCREMENT=18 ;

--
-- Dumping data for table `member_profile`
--


-- --------------------------------------------------------

--
-- Table structure for table `messages`
--

DROP TABLE IF EXISTS `messages`;
CREATE TABLE IF NOT EXISTS `messages` (
  `from_username` varchar(100) NOT NULL default '',
  `subject` text NOT NULL,
  `message` text NOT NULL,
  `new` TINYINT( 2 ) NOT NULL DEFAULT '0',
  `todays_date` varchar(255) NOT NULL default '',
  `indexer` bigint(20) NOT NULL auto_increment,
  `to_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=62 ;

--
-- Dumping data for table `messages`
--


-- --------------------------------------------------------

--
-- Table structure for table `messages_sent`
--

DROP TABLE IF EXISTS `messages_sent`;
CREATE TABLE IF NOT EXISTS `messages_sent` (
  `to_username` varchar(255) NOT NULL default '',
  `subject` varchar(255) NOT NULL default '',
  `message` text NOT NULL,
  `todays_date` varchar(255) NOT NULL default '',
  `indexer` bigint(20) NOT NULL auto_increment,
  `from_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=63 ;

--
-- Dumping data for table `messages_sent`
--


-- --------------------------------------------------------

--
-- Table structure for table `pictures`
--

DROP TABLE IF EXISTS `pictures`;
CREATE TABLE IF NOT EXISTS `pictures` (
  `file_name` varchar(250) default NULL,
  `user_id` bigint(20) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  `todays_date` varchar(50) default NULL,
  `approved` varchar(10) default NULL,
  PRIMARY KEY  (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=16 ;

--
-- Dumping data for table `pictures`
--


-- --------------------------------------------------------

--
-- Table structure for table `privacy`
--

DROP TABLE IF EXISTS `privacy`;
CREATE TABLE IF NOT EXISTS `privacy` (
  `videocomments` varchar(100) default NULL,
  `profilecomments` varchar(100) default NULL,
  `privatemessage` varchar(100) default NULL,
  `friendsinvite` varchar(100) default NULL,
  `newsletter` varchar(100) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) default NULL,
  `publicfavorites` varchar(10) default NULL,
  `publicplaylists` varchar(10) default NULL,
  PRIMARY KEY  (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=15 ;

--
-- Dumping data for table `privacy`
--


-- --------------------------------------------------------

--
-- Table structure for table `rating`
--

DROP TABLE IF EXISTS `rating`;
CREATE TABLE IF NOT EXISTS `rating` (
  `user_id` bigint(20) default NULL,
  `IP` varchar(25) NOT NULL,
  `video_id` bigint(20) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


-- --------------------------------------------------------

--
-- Table structure for table `videocomments`
--

DROP TABLE IF EXISTS `videocomments`;
CREATE TABLE IF NOT EXISTS `videocomments` (
  `by_id` bigint(20) default NULL,
  `by_username` varchar(255) default NULL,
  `video_id` bigint(20) default NULL,
  `comments` text,
  `todays_date` varchar(255) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) TYPE=MyISAM  AUTO_INCREMENT=27 ;

--
-- Dumping data for table `videocomments`
--


-- --------------------------------------------------------

--
-- Table structure for table `videos`
--

DROP TABLE IF EXISTS `videos`;
CREATE TABLE IF NOT EXISTS `videos` (
  `video_id` varchar(255) default NULL,
  `viewtime` datetime default NULL,
  `title` text,
  `description` text,
  `tags` text,
  `channel` varchar(255) default NULL,
  `date_recorded` varchar(255) default NULL,
  `date_uploaded` varchar(255) default NULL,
  `location_recorded` varchar(255) default NULL,
  `video_length` varchar(255) default NULL,
  `allow_comments` varchar(255) default NULL,
  `allow_embedding` varchar(255) default NULL,
  `allow_ratings` varchar(255) default NULL,
  `rating_number_votes` bigint(20) default NULL,
  `rating_total_points` bigint(20) default NULL,
  `updated_rating` bigint(20) default NULL,
  `public_private` varchar(255) default NULL,
  `indexer` bigint(20) NOT NULL auto_increment,
  `approved` varchar(255) default NULL,
  `number_of_views` bigint(20) default NULL,
  `user_id` bigint(20) default NULL,
  `featured` varchar(255) default 'no',
  PRIMARY KEY  (`indexer`),
  KEY `videos_index2` (`updated_rating`,`number_of_views`,`user_id`),
  FULLTEXT KEY `videos_index1` (`title`,`tags`,`description`)
) TYPE=MyISAM  AUTO_INCREMENT=81 ;

--
-- Dumping data for table `videos`
--

--
-- Table structure for table `online`
--

DROP TABLE IF EXISTS `online`;
CREATE TABLE `online` (
`user_ip` VARCHAR( 255 ) NOT NULL ,
`last_active` INT( 11 ) NOT NULL ,
`logged_in_id` INT( 11 ) NOT NULL ,
`logged_in_username` VARCHAR( 255 ) NOT NULL ,
`indexer` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY
) TYPE=MyISAM;


-- --------------------------------------------------------
-- new audio addition
-- --------------------------------------------------------

Table structure for table `audio_favorites`
--

DROP TABLE IF EXISTS `audio_favorites`;
CREATE TABLE `audio_favorites` (
  `user_id` smallint(8) default NULL,
  `audio_id` smallint(8) default NULL,
  `indexer_fav` smallint(8) NOT NULL auto_increment,
  `audio_status` varchar(12) collate latin1_general_ci default 'active',
  `owner_id` smallint(8) default NULL,
  PRIMARY KEY  (`indexer_fav`)
) ENGINE=MyISAM;


-- Table structure for table `audio_flagging`
--

DROP TABLE IF EXISTS `audio_flagging`;
CREATE TABLE IF NOT EXISTS `audio_flagging` (
  `user_id` int(11) default NULL,
  `flag_type` varchar(20) default NULL,
  `audio_id` int(11) default NULL,
  `today_date` varchar(10) default NULL,
  `indexer` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) ENGINE=MyISAM;


-- Table structure for table `audio_flagging_comments`
--

DROP TABLE IF EXISTS `audio_flagging_comments`;
CREATE TABLE IF NOT EXISTS `audio_flagging_comments` (
  `user_id` int(11) default NULL,
  `flag_type` varchar(30) default NULL,
  `comment_id` int(11) default NULL,
  `today_date` varchar(10) default NULL,
  `indexer` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) ENGINE=MyISAM;

-- Table structure for table `audio_flagging_comments`
--

DROP TABLE IF EXISTS `audio_flagging_comments`;
CREATE TABLE IF NOT EXISTS `audio_flagging_comments` (
  `user_id` int(11) default NULL,
  `flag_type` varchar(30) default NULL,
  `comment_id` int(11) default NULL,
  `today_date` varchar(10) default NULL,
  `indexer` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) ENGINE=MyISAM;

-- Table structure for table `genre`
--

DROP TABLE IF EXISTS `genre`;
CREATE TABLE `genre` (
  `channel_name` varchar(250) default NULL,
  `channel_description` text,
  `date_created` varchar(20) default NULL,
  `active` varchar(3) NOT NULL default 'yes',
  `channel_id` bigint(20) NOT NULL,
  `has_audio` char(3) NOT NULL default 'no',
  `channel_picture` varchar(250) default 'none.gif',
  PRIMARY KEY  (`channel_id`),
  UNIQUE KEY `channel_id` (`channel_id`)
) ENGINE=MyISAM ;

--
-- Dumping data for table `genre`
--

INSERT INTO `genre` VALUES ('Blues', 'Blues', NOW(), 'yes', 0, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Classic Rock', 'Classic Rock', NOW(), 'yes', 1, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Country', 'Country', NOW(), 'yes', 2, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Dance', 'Dance', NOW(), 'yes', 3, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Disco', 'Disco', NOW(), 'yes', 4, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Funk', 'Funk', NOW(), 'yes', 5, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Grunge', 'Grunge', NOW(), 'yes', 6, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Hip-Hop', 'Hip-Hop', NOW(), 'yes', 7, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Jazz', 'Jazz', NOW(), 'yes', 8, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Metal', 'Metal', NOW(), 'yes', 9, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('New Age', 'New Age', NOW(), 'yes', 10, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Oldies', 'Oldies', NOW(), 'yes', 11, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Other', 'Other', NOW(), 'yes', 12, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Pop', 'Pop', NOW(), 'yes', 13, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('R&B', 'R&B', NOW(), 'yes', 14, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Rap', 'Rap', NOW(), 'yes', 15, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Reggae', 'Reggae', NOW(), 'yes', 16, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Rock', 'Rock', NOW(), 'yes', 17, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Techno', 'Techno', NOW(), 'yes', 18, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Industrial', 'Industrial', NOW(), 'yes', 19, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Alternative', 'Alternative', NOW(), 'yes', 20, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Ska', 'Ska', NOW(), 'yes', 21, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Death Metal', 'Death Metal', NOW(), 'yes', 22, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Pranks', 'Pranks', NOW(), 'yes', 23, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Soundtrack', 'Soundtrack', NOW(), 'yes', 24, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Euro-Techno', 'Euro-Techno', NOW(), 'yes', 25, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Ambient', 'Ambient', NOW(), 'yes', 26, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Trip-Hop', 'Trip-Hop', NOW(), 'yes', 27, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Vocal', 'Vocal', NOW(), 'yes', 28, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Jazz+Funk', 'Jazz+Funk', NOW(), 'yes', 29, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Fusion', 'Fusion', NOW(), 'yes', 30, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Trance', 'Trance', NOW(), 'yes', 31, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Classical', 'Classical', NOW(), 'yes', 32, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Instrumental', 'Instrumental', NOW(), 'yes', 33, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Acid', 'Acid', NOW(), 'yes', 34, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('House', 'House', NOW(), 'yes', 35, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Game', 'Game', NOW(), 'yes', 36, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Sound Clip', 'Sound Clip', NOW(), 'yes', 37, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Gospel', 'Gospel', NOW(), 'yes', 38, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Noise', 'Noise', NOW(), 'yes', 39, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('AlternRock', 'AlternRock', NOW(), 'yes', 40, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Bass', 'Bass', NOW(), 'yes', 41, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Soul', 'Soul', NOW(), 'yes', 42, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Punk', 'Punk', NOW(), 'yes', 43, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Space', 'Space', NOW(), 'yes', 44, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Meditative', 'Meditative', NOW(), 'yes', 45, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Instrumental Pop', 'Instrumental Pop', NOW(), 'yes', 46, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Instrumental Rock', 'Instrumental Rock', NOW(), 'yes', 47, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Ethnic', 'Ethnic', NOW(), 'yes', 48, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Gothic', 'Gothic', NOW(), 'yes', 49, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Darkwave', 'Darkwave', NOW(), 'yes', 50, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Techno-Industrial', 'Techno-Industrial', NOW(), 'yes', 51, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Electronic', 'Electronic', NOW(), 'yes', 52, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Pop-Folk', 'Pop-Folk', NOW(), 'yes', 53, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Eurodance', 'Eurodance', NOW(), 'yes', 54, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Dream', 'Dream', NOW(), 'yes', 55, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Southern Rock', 'Southern Rock', NOW(), 'yes', 56, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Comedy', 'Comedy', NOW(), 'yes', 57, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Cult', 'Cult', NOW(), 'yes', 58, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Gangsta', 'Gangsta', NOW(), 'yes', 59, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Top 40', 'Top 40', NOW(), 'yes', 60, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Christian Rap', 'Christian Rap', NOW(), 'yes', 61, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Pop/Funk', 'Pop/Funk', NOW(), 'yes', 62, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Jungle', 'Jungle', NOW(), 'yes', 63, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Native American', 'Native American', NOW(), 'yes', 64, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Cabaret', 'Cabaret', NOW(), 'yes', 65, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('New Wave', 'New Wave', NOW(), 'yes', 66, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Psychadelic', 'Psychadelic', NOW(), 'yes', 67, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Rave', 'Rave', NOW(), 'yes', 68, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Showtunes', 'Showtunes', NOW(), 'yes', 69, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Trailer', 'Trailer', NOW(), 'yes', 70, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Lo-Fi', 'Lo-Fi', NOW(), 'yes', 71, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Tribal', 'Tribal', NOW(), 'yes', 72, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Acid Punk', 'Acid Punk', NOW(), 'yes', 73, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Acid Jazz', 'Acid Jazz', NOW(), 'yes', 74, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Polka', 'Polka', NOW(), 'yes', 75, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Retro', 'Retro', NOW(), 'yes', 76, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Musical', 'Musical', NOW(), 'yes', 77, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Rock & Roll', 'Rock & Roll', NOW(), 'yes', 78, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Hard Rock', 'Hard Rock', NOW(), 'yes', 79, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Folk', 'Folk', NOW(), 'yes', 80, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Folk-Rock', 'Folk-Rock', NOW(), 'yes', 81, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('National Folk', 'National Folk', NOW(), 'yes', 82, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Swing', 'Swing', NOW(), 'yes', 83, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Fast Fusion', 'Fast Fusion', NOW(), 'yes', 84, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Bebob', 'Bebob', NOW(), 'yes', 85, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Latin', 'Latin', NOW(), 'yes', 86, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Revival', 'Revival', NOW(), 'yes', 87, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Celtic', 'Celtic', NOW(), 'yes', 88, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Bluegrass', 'Bluegrass', NOW(), 'yes', 89, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Avantgarde', 'Avantgarde', NOW(), 'yes', 90, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Gothic Rock', 'Gothic Rock', NOW(), 'yes', 91, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Progressive Rock', 'Progressive Rock', NOW(), 'yes', 92, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Psychedelic Rock', 'Psychedelic Rock', NOW(), 'yes', 93, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Symphonic Rock', 'Symphonic Rock', NOW(), 'yes', 94, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Slow Rock', 'Slow Rock', NOW(), 'yes', 95, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Big Band', 'Big Band', NOW(), 'yes', 96, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Chorus', 'Chorus', NOW(), 'yes', 97, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Easy Listening', 'Easy Listening', NOW(), 'yes', 98, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Acoustic', 'Acoustic', NOW(), 'yes', 99, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Humour', 'Humour', NOW(), 'yes', 100, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Speech', 'Speech', NOW(), 'yes', 101, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Chanson', 'Chanson', NOW(), 'yes', 102, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Opera', 'Opera', NOW(), 'yes', 103, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Chamber Music', 'Chamber Music', NOW(), 'yes', 104, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Sonata', 'Sonata', NOW(), 'yes', 105, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Symphony', 'Symphony', NOW(), 'yes', 106, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Booty Bass', 'Booty Bass', NOW(), 'yes', 107, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Primus', 'Primus', NOW(), 'yes', 108, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Porn Groove', 'Porn Groove', NOW(), 'yes', 109, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Satire', 'Satire', NOW(), 'yes', 110, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Slow Jam', 'Slow Jam', NOW(), 'yes', 111, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Club', 'Club', NOW(), 'yes', 112, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Tango', 'Tango', NOW(), 'yes', 113, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Samba', 'Samba', NOW(), 'yes', 114, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Folklore', 'Folklore', NOW(), 'yes', 115, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Ballad', 'Ballad', NOW(), 'yes', 116, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Power Ballad', 'Power Ballad', NOW(), 'yes', 117, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Rhythmic Soul', 'Rhythmic Soul', NOW(), 'yes', 118, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Freestyle', 'Freestyle', NOW(), 'yes', 119, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Duet', 'Duet', NOW(), 'yes', 120, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Punk Rock', 'Punk Rock', NOW(), 'yes', 121, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Drum Solo', 'Drum Solo', NOW(), 'yes', 122, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Acapella', 'Acapella', NOW(), 'yes', 123, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Euro-House', 'Euro-House', NOW(), 'yes', 124, 'no', 'none.gif');
INSERT INTO `genre` VALUES ('Dance Hall', 'Dance Hall', NOW(), 'yes', 125, 'no', 'none.gif');


-- Table structure for table `audio_rating`
--

DROP TABLE IF EXISTS `audio_rating`;
CREATE TABLE IF NOT EXISTS `audio_rating` (
  `user_id` int(11) default NULL,
  `IP` varchar(25) default '000.000.000.000',
  `audio_id` int(11) default NULL,
  `indexer` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) ENGINE=MyISAM;

--
-- Table structure for table `audiocomments`
--

DROP TABLE IF EXISTS `audiocomments`;
CREATE TABLE `audiocomments` (
  `by_id` int(11) default NULL,
  `by_username` varchar(40) default NULL,
  `audio_id` int(11) default NULL,
  `comments` text,
  `todays_date` varchar(12) default NULL,
  `indexer` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`),
  UNIQUE KEY `indexer` (`indexer`)
) ENGINE=MyISAM ;

--
-- Table structure for table `audios`
--

DROP TABLE IF EXISTS `audios`;
CREATE TABLE IF NOT EXISTS `audios` (
  `audio_id` varchar(24) default NULL,
  `title` text,
  `artist` text,
  `description` text,
  `tags` text,
  `audio_length` varchar(12) default NULL,
  `cat_id` smallint(4) default NULL,
  `channel` varchar(24) default NULL,
  `album` varchar(24) default NULL,
  `album_year` smallint(4) default NULL,
  `location_recorded` varchar(24) default NULL,
  `allow_comments` varchar(4) default NULL,
  `allow_embedding` varchar(4) default NULL,
  `public_private` varchar(12) default NULL,
  `date_uploaded` varchar(12) default NULL,
  `allow_ratings` varchar(4) default NULL,
  `rating_number_votes` int(11) default NULL,
  `rating_total_points` int(11) default NULL,
  `updated_rating` int(11) default NULL,
  `indexer` int(11) NOT NULL auto_increment,
  `approved` varchar(24) default NULL,
  `number_of_views` int(11) default NULL,
  `user_id` int(11) default NULL,
  `featured` varchar(12) default NULL,
  `playtime` datetime default NULL,
  PRIMARY KEY  (`indexer`),
  KEY `audios_index2` (`updated_rating`,`number_of_views`,`user_id`),
  FULLTEXT KEY `audios_index1` (`title`,`tags`,`description`)
) ENGINE=MyISAM;


--
-- Table structure for table `video_playlist`
--

DROP TABLE IF EXISTS `video_playlist`;
CREATE TABLE IF NOT EXISTS `video_playlist` (
  `list_id` int(11) NOT NULL auto_increment,
  `list_name` text NOT NULL,
  `user_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`list_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

--
-- Table structure for table `video_playlist_lists`
--

DROP TABLE IF EXISTS `video_playlist_lists`;
CREATE TABLE IF NOT EXISTS `video_playlist_lists` (
  `list_id` int(11) NULL,
  `user_id` int(11) NULL,
  `video_id` int(11) NULL,
  `video_file_name` varchar(250) NULL default '',
  `video_position` int(11) NULL,
  `indexer` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`indexer`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
