<?php

///////////////////////////////////////////////////////////////////////////////////////
// PHPmotion                                                http://www.phpmotion.com //
///////////////////////////////////////////////////////////////////////////////////////
// License: You are not to sell or distribute this software without permission       //
// Version: PHPmotion V2.0 beta                                                      //
// This file last modified:  28 April 2008                                           //
// Main Author: Brian Shawa -  bshawa@gmail.com                                      //
// Help and support please visit http://www.phpmotion.com                            //
// Copyright reserved                                                                //
///////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////
// Debugging - 'yes' or 'no' /
//////////////////////////////
$log_encoder  = 'no';  //If 'yes' log file will created in the folder /logs

///////////////
//path to php /
///////////////
$path_to_php  = '/usr/bin/php';

////////////////////
// Enable Audio Mod
////////////////////
$enable_audio 					= 'yes';	//If 'yes' PHPmotion will have both audio and video

///////////////////////////////////
//Admin Variables
///////////////////////////////////

// NEW in PHPMotion V-2 Stable WATCHINGNOW thumbnail title length
$config_recent_title_length = 14;		// sets the title length of recently watched on index page

$config['allow_download']                 = 'yes';	//allow video download
$config["admin_maximum_display"]		= 50;		//page limits in admin area
$config["flagging_threshold_limits"]      = 2;		//Video flagging minimus (before it shows in admin area)
$config['seemore_limits_wide']            = 20; 	//page limits for 'see more' items
$play_list_bottom_ad                      = 0; 		//set to 0 if you dont want ads to show in play lists window

/////////////////////////////////////////////////////////////////
// Additional Language                                          /
/////////////////////////////////////////////////////////////////
$rel_single						= 'Single';
$rel_taken						= 'Taken';
$rel_looking 					= 'Looking';
$gender_male					= 'Male';
$gender_female					= 'Female';
$confirm_popup_javascript			= 'Are you sure';
$config["email_welcome"] 			= 'Welcome to '.$config["site_name"];
$config["email_invite"] 			= 'New friends invtive received '.$config["site_name"];
$config["email_new_email"] 			= 'You have been sent a new message '.$config["site_name"];
$config["email_login_reminder"] 		= 'Your login details - reminder '.$config["site_name"];
$config["v_friends_invite_error"]         = 'An error has occurred - you may already have invited this member';
$config["reg_confirm_complete"]           = 'Thank you, your registration is now complete. Please login.';
$config['video_comments_not_allowed']     = 'Comments not allowed for this item';
$config['Tags_most_popular']              = 'Popular Tags';
$config['Tags_more_tags']                 = 'More Tags';
$config['seemore_group_videos']           = 'Group Video';
$config['seemore_group_audio']            = 'Group Audio';
$config['create_new_group']               = 'New Group';
$config['word_videos']                    = 'Videos';
$config['word_audio']                     = 'Audios';
$config['word_categories']                = 'Categories';
$config['word_favorites']                 = 'Favorites';
$config['word_create_new']                = 'Create new';
$config['word_notice']                    = 'Notice';
$config['favorites_video']                = 'Favorite Videos';
$config['favorites_audio']                = 'Favorite Audios';
$config['pagination_previous']            = '<< Previous';
$config['pagination_next']                = 'Next >>';
$config['word_my']                        = 'My';
$config['word_send']                      = 'Send';
$config['word_add']                       = 'Add';
$config['word_Audio']                     = 'Audio';
$config['word_my_playlists']              = 'My Play Lists';
$config["audio_notification_success"]	= 'Success';
$config['audio_has_been_removed']		= 'The audio has been removed';
$config['new_group_created']              = 'Your group has been created. You can add videos by using the "My groups" link above';
$config['Playlists_none']                 = 'You have not yet created a playlist';
$config['Playlists_duplicate']            = 'You already have a playlist with the same name';
$config['Playlists_duplicate_item']	      = 'This item is already in the selected playlist';
$config["tellafriend_email_subject"]	= 'Check out this video';

//Colors and Fonts
//////////////////
$config['color_tellafriend']			= '#DADADA';

//text/html used in templates for audio mod when enabled
////////////////////////////////////////////////////
$audio_main_menu1					= '<li><a href="audio.php?load=recent">Audios</a></li>';
$audio_main_menu_default         		= '<li><a href="myfriends.php">Friends</a></li>';
$audio_sub_menu1                 		= '<a href="audio.php?load=mymusic">My Music</a>&nbsp;|';
$audio_sub_menu2	             		= '<a href="audio.php?load=myfavs">Favorite Audio</a>&nbsp;&nbsp;|';
$audio_sub_menu3	             		= '&nbsp;|&nbsp;<a href="audio_uploader.php">Upload Audio</a>';
$audio_inner_upload_video_form1  		= '<li><a href="audio_uploader.php">Upload New Audio</a></li>';
$audio_inner_upload_video_form2  		= '<li><a href="audio.php?load=mymusic">My audios</a></li>';
$audio_inner_welcome             		= '<li><span class="font4_16"><a href="audio.php?load=mymusic">&nbsp;Listen to my audio now</a></span></li><li><span class="font4_16"><a href="audio_uploader.php">&nbsp;Upload&nbsp;/&nbsp;manage my audio now</a></span></li>';

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                 do not edit below this line                                                   //
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$login_out						= $config["login_text"];
$register_menu                            = $config["register_menu"];
$login_out_link					= "login.php";
$register_menu_link				= "login.php";
$auto_play 						= $config["auto_play"];
$splash_image 					= "images/splash_play.jpg";
$video_buffer 					= $config["video_buffer_time"];

//tab button for top menu - video or audio
$tab_switch = $config['word_categories'];
$tab_switch_link = 'category.php';

//Resetting some audio based text/html in the templates if audio is not set to yes

if ($enable_audio !='yes'){
	$audio_main_menu1				= $audio_main_menu_default; // set it to show "My Friends" link on top menu instead of audio
	$audio_sub_menu1      			= '';
	$audio_sub_menu2	  			= '';
	$audio_sub_menu3	  			= '';
	$audio_inner_upload_video_form1 	= '';
	$audio_inner_upload_video_form2 	= '';
	$audio_inner_welcome 			= '';
}


//////////////////////////////////////////////
//Redirect to 404 page is audio is not enabled

function audio404(){
	global $enable_audio;

	if ($enable_audio != 'yes'){
		header('Location: 404.php');
		die();
	}
}
/////////////////////////////////////////////

?>