<?php

///////////////////////////////////////////////////////////////////////////////////////
// PHPmotion                                                http://www.phpmotion.com //
///////////////////////////////////////////////////////////////////////////////////////
// License: You are not to sell or distribute this software without permission       //
// Main Author: Brian Shawa -  bshawa@gmail.com                                      //
// Help and support please visit http://www.phpmotion.com                            //
// Copyright reserved                                                                //
///////////////////////////////////////////////////////////////////////////////////////

include_once ('classes/config.php');
include_once ('classes/menu.php');
include_once ('classes/sessions.php');
include_once ('online.php');

////////////////////////////////////////
// Changes
//load audio ajax star voting javascript in main_1.htm
$load_javascript = 6;

$tab_switch = 'Genre';
$tab_switch_link = 'genre.php';
////////////////////////////////////////

$wrap_limit = 80;//for wrapping comments
$audio = mysql_real_escape_string($_GET['audio']);//get audio id
$codes = mysql_real_escape_string($_GET['code']);//error codes from anywhere
$proceed = true;

///////////////////////////////////////////////////////////////
////////////////// NEW AJAX STAR RATING ///////////////////////
include("addons/audio/includes/rating_functions.php");
if ($user_id == "") {
	$ajax_rating = pullRating($audio,false,true,true,'novote');
}else{
	$ajax_rating = pullRating($audio,true,false,true,$user_id);
}
///////////////// END STAR RATING /////////////////////////////

//START-----------------------
//see if download audios is allowed to show in template
if ($config['allow_download'] =='yes'){
    $allow_download = 1;
}

//ADD TIME TO audio DB VIEWTIME ROW  (New - added 27-12-2007)
//update time information
$sql = "UPDATE audios SET playtime = NOW() WHERE indexer = $audio";
$query = @mysql_query($sql);
/////////////////////////////////////

//Get audio details
$sql = "SELECT * FROM audios WHERE indexer = $audio AND approved ='yes'";
$query = @mysql_query($sql);
$result = @mysql_fetch_array($query);
$active = $result['approved'];
$public_private = $result['public_private'];
$allow_embedding = $result['allow_embedding'];
$member_id = $result["user_id"];

//disply the "audio details" tabled in inner_audio_play.htm hidden comments; <!--[onload_19;block=tr;when [var.showdetails]=1;comm]-->
if (!empty($result)) {
    $showdetails = 1;
}

//check if audio is 1) active, 2) public or privtae 3) it exists
if ($active != "yes" || empty($result)) {
    $codes_internal = 111;
    $proceed = false;
}

//if audio is marked private, see if i am owner logged in
if ($public_private == "private" && $user_id != $member_id) {
    $codes_internal = 112;
    $proceed = false;
}

//check if embedding is allow (so table in html can be hidden or displayed)
if ($allow_embedding == 'no') {
    $show_embed = 0;//do not show
}
else {
    $show_embed = 1;//show
}

//if all checks out proceed.
if ($proceed == true) {
    $title = $result["title"];
    $artist = $result["artist"];
    $description = wordwrap($result["description"], 20, " ", true);
    $tags = wordwrap($result["tags"], 30, "\n", true);
    $channel = $result["channel"];
    $date_uploaded = $result["date_uploaded"];
    $audio_length = $result["audio_length"];
    $allow_comments = $result["allow_comments"];
    $allow_embedding = $result["allow_embedding"];
    $public_private = $result["public_private"];
    $number_of_views = mysql_real_escape_string($result["number_of_views"]);
    //$audio_play = $result["audio_id"] . '.mp3';
    $audio_play = $result["audio_id"];
    $audio_id = $result["indexer"];
    $audio_url = $config['site_base_url'] . '/play_audio.php?audio=' . $audio_id;

    //get members personal information
    $sql = "SELECT * FROM member_profile WHERE user_id = $member_id";
    $query = @mysql_query($sql);
    @$result = @mysql_fetch_array($query);
    $member_username = $result["user_name"];

    //update audio counter
    $views_counter = $number_of_views + 1;
    $sql = "UPDATE audios SET number_of_views = $views_counter WHERE indexer = $audio";
    $query = @mysql_query($sql);

}

//audio tags --------------------------reusable code---------------------
if ($tags != "") {
    $tags_exploded = explode(" ", $tags);
    $i = 0;
    while (isset($tags_exploded[$i])):
        $tags_each = '<a href="search.php?type=audios&keyword=' . $tags_exploded[$i] .
            '">' . $tags_exploded[$i] . '</a>&nbsp;&nbsp;';
        $tags_string = $tags_string . $tags_each;
        $i++;
    endwhile;
}
//-------------------------------------------------------------------------

//get related audios
$search_terms = mysql_real_escape_string($title) . ' ' .
    mysql_real_escape_string($tags);//search using the title and the tags
$result_search = array();
if ($member_id != "") {// only if above sql has produces result;
    $sql = "SELECT * FROM audios WHERE MATCH(title, tags, description) AGAINST ('$search_terms') AND approved='yes' AND public_private = 'public' LIMIT 1, 4";//start from second record as first is same as audio playing
    $query = @mysql_query($sql);
    while ($result1 = @mysql_fetch_array($query)) {
        $result_search[] = $result1;
        $more_related = 1;//set <td> for "see more"
    }
}

//get audios from same member
$result_search2 = array();
if ($member_id != "") {// only if above sql has produces result;
    $sql = "SELECT * FROM audios WHERE user_id = $member_id AND approved='yes' AND public_private = 'public' ORDER BY number_of_views DESC LIMIT 3";
    $query = @mysql_query($sql);
    while ($result1 = @mysql_fetch_array($query)) {
        $result_search2[] = $result1;
        $more_user = 1;//set <td> for "see more"
    }
}

//get member audio comments settings

//get audio comments
$limit = $config["comment_page_limits"];
$pagination = pagination("SELECT * FROM audiocomments WHERE audio_id = $audio ORDER BY indexer DESC",$limit);
$set_limit = $pagination[0]['set_limit'];
$total_pages = $pagination[0]['total_pages'];
$current_page = $pagination[0]['current_page'];
$total_records = $pagination[0]['total_records'];
$next_page = $pagination[0]['next_page'];//use in html navigation (src)
$prev_page = $pagination[0]['prev_page'];//use in html navigation (src)
$nl = $pagination[0]['nl'];//use in html navigation: next>>
$pl = $pagination[0]['pl'];//use in html navigation: <<previous

$result_search3 = array();
$each_comment = array();
$sql = "SELECT * FROM audiocomments WHERE audio_id = $audio ORDER BY indexer DESC LIMIT $set_limit, $limit";
$query = @mysql_query($sql);

//create new array with "wrapped" comments
while ($result1 = @mysql_fetch_array($query)) {
    //get comentors picture (added 01-01-2008)
    $poster_id = $result1['by_id'];
    $a1_sql = "SELECT * FROM pictures WHERE user_id = $poster_id";
    $a1_result = @mysql_query($a1_sql);

    if (@mysql_num_rows($a1_result) != 0) {
        $a1_result = @mysql_fetch_array($a1_result);
        $a1_existing_file = $a1_result['file_name'];
        $a1_approved = $a1_result['approved'];
        if ($a1_approved == "yes") {
            // show picture and "change picture link"
            $poster_picture = $config['site_base_url'] . '/pictures/' . $a1_existing_file;
        }
        else {
            // show place holder or blank (default is blank)- uncomment or comment the option you want
            $poster_picture = $config['site_base_url'] . '/image_s/placeholder.gif';
        }
}
else {
    // show place holder or blank (default is blank)- uncomment or comment the option you want
    $poster_picture = $config['site_base_url'] . '/image_s/placeholder.gif';
    //$poster_picture = "";
}
    $text = $result1['comments'];
    $wrap = wordwrap($text, $wrap_limit, " ", true);
    $each_comment = array('by_id' => $result1['by_id'], 'indexer' => $result1['indexer'], 'comments' => $wrap, 'todays_date' => $result1['todays_date'], 'by_username' => $result1['by_username'], 'poster_picture' => $poster_picture );
    $result_search3[] = $each_comment;
}
//end of comments and "wrap"

//set condition for hidding certain blocks (e.g "no emails to list")
if (empty($result_search3)) {
    $show_c1 = 1;
}
else {
    $show_c1 = 2;
}

//get audio rating stars -------------------------------------------------------
include ('stars_audio_include.php');
$stars_array = array('star1' => $star1,'star2' => $star2,'star3' => $star3, 'star4' => $star4,'star5' => $star5);$star1 = $stars_array['star1'];
$star2 = $stars_array['star2'];
$star3 = $stars_array['star3'];
$star4 = $stars_array['star4'];
$star5 = $stars_array['star5'];


//get members picture (added - 01/01/2008)
$a1_sql = "SELECT * FROM pictures WHERE user_id = $member_id";
$a1_result = @mysql_query($a1_sql);
if (@mysql_num_rows($a1_result) != 0) {
    $a1_result = @mysql_fetch_array($a1_result);
    $a1_existing_file = $a1_result['file_name'];
    $a1_approved = $a1_result['approved'];
    if ($a1_approved == "yes") {
        // show picture and "change picture link"
        $a1_mypicture = $config['site_base_url'] . '/pictures/' . $a1_existing_file;
        $a1_show = 1;
    }
    else {
        // show place holder image and "awaiting approval link"
        $a1_mypicture = $config['site_base_url'] . '/image_s/placeholder.gif';
        $a1_show = 2;
    }
}
else {
    // show place holder with "upload image link"
    $a1_mypicture = $config['site_base_url'] . '/image_s/placeholder.gif';
    $a1_show = 3;
}


//get members online status
$sql = "SELECT * FROM online WHERE logged_in_id = $member_id";
$my_online_status = @mysql_num_rows(mysql_query($sql));
if ($my_online_status > 0){ // there is a multiple IP address issue hence use of '>'
    $online_status = '<img src="images/icon_online.gif" alt="status" width="8" height="8" border="0" align="absmiddle" />';
}
else{
    $online_status = '<img src="images/icon_offline.gif" alt="status" width="8" height="8" border="0" align="absmiddle" />';
}

//show any errors/notifications
if ($codes == "") {//only if page is not trying to load refer error.
    $codes = $codes_internal;
}

$error_code = errorcodes($codes);
if (!empty($error_code)) {
    $blk_notification = $error_code['error_display'];
    $message_type = $error_code['error_type'];
    $error_message = $error_code['error_message'];
}
$template = "templates/main_1.htm";
$inner_template1 = "templates/inner_audio_play.htm";//middle of page
$TBS = new clsTinyButStrong;
$TBS->NoErr = true;// no more error message displayed.
$TBS->LoadTemplate("$template");
$TBS->MergeBlock('blk1', $result_search);
$TBS->MergeBlock('blk2', $result_search2);
$TBS->MergeBlock('blk3', $result_search3);
$TBS->Render = TBS_OUTPUT;
$TBS->Show();

@mysql_close();
die();

?>