<?php

///////////////////////////////////////////////////////////////////////////////////////
// PHPmotion                                                http://www.phpmotion.com //
///////////////////////////////////////////////////////////////////////////////////////
// License: You are not to sell or distribute this software without permission       //
// Main Author: Brian Shawa -  bshawa@gmail.com                                      //
// Help and support please visit http://www.phpmotion.com                            //
// Copyright reserved                                                                //
///////////////////////////////////////////////////////////////////////////////////////

include_once ("classes/config.php");

// #1
//////////////////////////////////////////////
// SET UP VARIABLES LOOK and FEEL
//Font color =>Most popular & Least popular Headings only
$font_color = "000099";
//////////////////////////////////////////////

// #2
//////////////////////////////////////////////
// number of vids to poll to for tag_cloud array
// increase number for larger tag cloud
// decrease if tag cloud size is too large
$limit = 15;
/////////////////////////////////////////////

// #3
/////////////////////////////////////////////
//order tags by last viewed
//uncomment to use this sort
//requires video db viewtime mod
$order_by = 'playtime';
/////////////////////////////////////////////

// #4
/////////////////////////////////////////////
//order tags by most popular =>default setting
//comment out if above sort is used
//$order_by = 'number_of_views';
//
/////////////////////////////////////////////

// #5
/////////////////////////////////////////////
//font setup this should work for most sites
$font_size = 2;
$adjust_font = 0;
//
/////////////////////////////////////////////


/////////////////////////
// nothing below to edit
/////////////////////////

$tag_cloud_block = "";
$recent_tags = array();
$viewkey = array();

$sql = "SELECT * FROM audios WHERE public_private = 'public' AND approved ='yes' ORDER BY $order_by desc LIMIT $limit";
$query = @mysql_query($sql);

while ($result = @mysql_fetch_array($query)) {
	$recent_tags[] = $result['tags'];
	$viewkey[] = $result['indexer'];
	//echo $recent_tags . "<br>";
}

$tag_count = sizeof($recent_tags);
$tag_cloud = array();
for ($x=0;$x<$tag_count;$x++){
  $tag_cloud[] = split(" ", $recent_tags[$x]);
}

//first half - most popular
$tag_cloud_block .="<font color=\"$font_color\"><b>".$config['Tags_most_popular'].":</b></font>\n";
$tag_cloud_block .="&nbsp;";

$first_half = sizeof($tag_cloud);

for ($y=0;$y<floor($first_half / 2);$y++){
  $tags = sizeof($tag_cloud[$y]);

  $font_size = floor($first_half / 3);
  $font_size = $font_size - $adjust_font;

  for ($t=0;$t<sizeof($tag_cloud[$y]);$t++){
    $tag_word=$tag_cloud[$y][$t];
    $tag_cloud_block .= "<a href=\"search.php?keyword=$tag_word&amp;type=audio\" class=\"tag_cloud\"><font size=\"$font_size\">$tag_word</font></a>\n";
    $tag_cloud_block .=" ";
  }
  $font_size--;
  $adjust_font++;
}

$tag_cloud_block .="<br>";
$tag_cloud_block .="<font color=\"$font_color\"><b>".$config['Tags_more_tags'].":</b></font>\n";
$tag_cloud_block .="&nbsp;";

$font_size = (floor($first_half / 4)-1);

//last half - least popular
for ($y=floor($tag_count/2);$y<sizeof($tag_cloud);$y++){
  $tags = sizeof($tag_cloud[$y]);
  for ($t=0;$t<sizeof($tag_cloud[$y]);$t++){
    $tag_word=$tag_cloud[$y][$t];
    $tag_cloud_block .= "<a href=\"search.php?keyword=$tag_word&amp;type=audio\" class=\"tag_cloud\"><font size=\"$font_size\">$tag_word</font></a>\n";
    $tag_cloud_block .=" ";
    //$font_size--;
    //$adjust_font++;
  }
  $font_size--;
  $adjust_font++;

}
//echo  $tag_cloud_block;

?>